Speechbase

Create dictionary

Creates a new pronunciation dictionary in the authenticated organization and returns the created record.

POST
/v1/pronunciation-dictionaries

Creates a new pronunciation dictionary in the authenticated organization and returns the created record.

Authorization

bearerAuth
AuthorizationBearer <token>

API key

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

curl -X POST "https://example.com/v1/pronunciation-dictionaries" \  -H "Authorization: Bearer $SPEECHBASE_API_KEY" \  -H "Content-Type: application/json" \  -d '{  "name": "string"}'
{
  "id": "string",
  "name": "string",
  "description": "string",
  "is_default": true,
  "created_at": "string",
  "updated_at": "string"
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string"
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string"
}